flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From OmPrakash Muppirala <bigosma...@gmail.com>
Subject Re: [FlexJS] Running the FlexJS (FalconJX Release and Debug Build) external tool via Flash Builder
Date Tue, 14 Oct 2014 21:54:42 GMT
On Tue, Oct 14, 2014 at 1:35 PM, Alex Harui <aharui@adobe.com> wrote:

>
>
> On 10/14/14, 1:25 PM, "OmPrakash Muppirala" <bigosmallm@gmail.com> wrote:
>
> >On Mon, Oct 13, 2014 at 9:14 PM, Alex Harui <aharui@adobe.com> wrote:
> >
> >> Sounds like a FALCON_HOME environment variable is pointing to a folder
> >>in
> >> a flex-falcon repo.  It needs to point to the FlexJS SDK.
> >>
> >
> >The README in flex-asjs says that FALCON_HOME should point to:
> ><flex-falcon-repo-path>/compiler/generated/dist/sdk, which is what I
> >tried.
> THat’s true for using the repos and running ant.  An installed
> IDE-compatible setup is different.  I guess we should make that clear in
> the README.
>

That's what I guessed.  I think this page [1] is due for an update as well.

[1]
https://cwiki.apache.org/confluence/display/FLEX/Using+FlexJS+with+Adobe+Flash+Builder


>
> >
> >Anyways, when I switched FALCON_HOME to point ot the FlexJS installation
> >directory, I am getting this error:
> >
> >Using Falcon codebase: C:\p\flexroot\FlexJS
> >Using Flex SDK: C:\Program Files\Adobe\Adobe Flash Builder 4.7 (64
> >Bit)\sdks\ApacheFlex4.13.0_AIR15_FP15
> >java.lang.UnsupportedClassVersionError:
> >org/apache/flex/compiler/clients/MXMLJSC : Unsupported major.minor version
> >51.0
> You might be pointing at an older version of Java.  Double-check what is
> in the launch config.
>

This is what I see in the launch config:

<launchConfiguration
type='org.eclipse.ui.externaltools.ProgramLaunchConfigurationType'>
<booleanAttribute key='org.eclipse.debug.core.appendEnvironmentVariables'
value='false'/>
<listAttribute key='org.eclipse.debug.ui.favoriteGroups'>
<listEntry value='org.eclipse.ui.externaltools.launchGroup'/>
</listAttribute>
<stringAttribute
key='org.eclipse.ui.externaltools.ATTR_LAUNCH_CONFIGURATION_BUILD_SCOPE'
value='${project}'/>
<stringAttribute key='org.eclipse.ui.externaltools.ATTR_LOCATION'
value='$FLEXJS_HOME/js/bin/$MXMLC'/>
<stringAttribute key='org.eclipse.ui.externaltools.ATTR_TOOL_ARGUMENTS'
value='-fb &quot;${project_loc}&quot;'/>
</launchConfiguration>

I don't see anything relevant to the error message.  Am I looking in the
right place?

Thanks,
Om


>
> -Alex
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message